Summary: Japanese character set input library for Unicode
Name:  anthy-unicode
Version: 1.0.0.20211224
Release: 4%{?dist}
License: LGPLv2+ and GPLv2 and Public Domain
URL:  https://github.com/fujiwarat/anthy-unicode/wiki
Source0: https://github.com/fujiwarat/anthy-unicode/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1: %{name}-init.el
Patch3000: %{name}-HEAD.patch

BuildRequires: make gcc
BuildRequires: autoconf automake libtool
BuildRequires: emacs git

%description
This package provides the library to input Japanese on the applications, such as X applications 
and emacs. The user dictionaries and the users information which is used for the conversion, is 
stored into their own home directory. So Anthy Unicode is secure than other conversion server.

%package -n emacs-anthy-unicode
Summary: Emacs files for anthy-unicode
Requires: %{name} = %{version}-%{release}
Requires: emacs(bin) >= %{_emacs_version}
BuildArch: noarch

%description -n emacs-anthy-unicode
This package provides the byte compiled elips packages to run anthy-unicode with GNU Emacs.

%package devel
Summary: Header files and library for developing programs which uses Anthy Unicode
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides the development files which uses Anthy Unicode.

%prep
%autosetup -S git

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/lib*.la
mkdir -p %{buildroot}%{_emacs_sitestartdir}
install -m 644 %{SOURCE1} %{buildroot}%{_emacs_sitestartdir}

%check
sed -e "s|@datadir@|$PWD|" -e "s|@PACKAGE@|mkanthydic|" \
  anthy-unicode.conf.in > test.conf
_TEST_ENV="LD_LIBRARY_PATH=$PWD/src-main/.libs:$PWD/src-worddic/.libs"
_TEST_ENV="$_TEST_ENV CONFFILE=$PWD/test.conf"
cd test
env $_TEST_ENV ./anthy --all
env $_TEST_ENV ./checklib
cd ../src-util
env $_TEST_ENV ./anthy-dic-tool-unicode --load dic-tool-input
diff $HOME/.config/anthy/private_words_default dic-tool-result
env $_TEST_ENV ./anthy-dic-tool-unicode --dump
mkdir -p $HOME/.anthy
mv $HOME/.config/anthy/private_words_default $HOME/.anthy
env $_TEST_ENV ./anthy-dic-tool-unicode --migrate
diff $HOME/.config/anthy/private_words_default dic-tool-result
cd ..

%files
%license COPYING
%doc AUTHORS ChangeLog DIARY NEWS README
%config(noreplace) %{_sysconfdir}/*.conf
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/anthy-unicode/

%files -n emacs-anthy-unicode
%doc doc/ELISP
%dir %{_emacs_sitelispdir}/anthy-unicode
%{_emacs_sitelispdir}/anthy-unicode/*.el
%{_emacs_sitelispdir}/anthy-unicode/*.elc
%{_emacs_sitestartdir}/*.el

%files devel
%doc doc/DICLIB doc/DICUTIL doc/GLOSSARY doc/GRAMMAR doc/GUIDE.english doc/ILIB
%doc doc/LEARNING doc/LIB doc/MISC doc/POS doc/SPLITTER doc/TESTING doc/protocol.txt
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0.20211224-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0.20211224-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0.20211224-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.0.20211224-1
- package init.
